Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1684536 - "dnf swidtags purge" returns error if there are no locally-generated tags already
Summary: "dnf swidtags purge" returns error if there are no locally-generated tags alr...
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm2swidtag
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-01 13:38 UTC by Stephen Tweedie
Modified: 2020-01-15 17:29 UTC (History)
1 user (show)

Fixed In Version: swid-tools-0.7.2-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Stephen Tweedie 2019-03-01 13:38:15 UTC
Description of problem:
dnf-plugin-swidtags returns an error if there are no locally-generated tags already (specifically, if there is no swidtags.d symlink to locally-generated tags.)

Version-Release number of selected component (if applicable):
dnf-plugin-swidtags-0.7.1-1.fc30.noarch


How reproducible:
100%

Steps to Reproduce:
1. # dnf swidtag purge
2. # dnf swidtag purge


Actual results:
On the second invocation we get the error

Failed to remove [/etc/swid/swidtags.d/rpm2swidtag-generated]: [Errno 2] No such file or directory: '/etc/swid/swidtags.d/rpm2swidtag-generated'


Expected results:

Should not return that error if found no tags to remove.

Comment 1 Jan Pazdziora 2019-03-04 13:38:36 UTC
Fixed in upstream master: https://github.com/swidtags/rpm2swidtag/commit/1e6ac56bc47f14cb24b5f603c2df641241891411

Comment 2 Jan Pazdziora 2019-03-19 13:01:57 UTC
The fix is now available in swid-tools-0.7.2-1.fc30.

# ls -la /etc/swid/swidtags.d/rpm2swidtag-generated
ls: cannot access '/etc/swid/swidtags.d/rpm2swidtag-generated': No such file or directory
# dnf swidtag purge
No such command: swidtag. Please use /usr/bin/dnf --help
It could be a DNF plugin command, try: "dnf install 'dnf-command(swidtag)'"
# dnf swidtags purge
Last metadata expiration check: 0:00:38 ago on Tue 19 Mar 2019 01:00:22 PM UTC.
# dnf swidtags purge
Last metadata expiration check: 0:00:42 ago on Tue 19 Mar 2019 01:00:22 PM UTC.
# ls -la /etc/swid/swidtags.d/rpm2swidtag-generated
ls: cannot access '/etc/swid/swidtags.d/rpm2swidtag-generated': No such file or directory

# rpm -q dnf-plugin-swidtags
dnf-plugin-swidtags-0.7.3-1.fc30.noarch

Comment 3 Fedora Admin XMLRPC Client 2020-01-15 17:29:13 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.


Note You need to log in before you can comment on or make changes to this bug.